org.encog.util.normalize.input

## Class BasicInputField

- java.lang.Object
- - org.encog.util.normalize.input.BasicInputField

- All Implemented Interfaces:
    Serializable, InputField
  Direct Known Subclasses:
    InputFieldArray1D, InputFieldArray2D, InputFieldCSV, InputFieldEncogCollection, InputFieldMLDataSet

      public class BasicInputField
      extends Object
      implements InputField

  Provides basic functionality, such as min/max and current value for other input fields.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicInputField()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyMinMax(double d)` Given the current value, apply to the min and max values.
    `double` | `getCurrentValue()`
    `double` | `getMax()`
    `double` | `getMin()`
    `boolean` | `getUsedForNetworkInput()`
    `double` | `getValue(int i)` Not supported for this sort of class, may be implemented in subclasses.
    `void` | `setCurrentValue(double currentValue)` Set the current value of this field.
    `void` | `setMax(double max)` Set the current max value.
    `void` | `setMin(double min)` Set the current min value.
    `void` | `setUsedForNetworkInput(boolean usedForNetworkInput)` This is needed so that the buildForNetworkInput method of the normalization class knows how many input fields to expect.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicInputField

          public BasicInputField()

  - ### Method Detail

    - #### applyMinMax

          public void applyMinMax(double d)

      Given the current value, apply to the min and max values.
      Specified by:
        `applyMinMax` in interface `InputField`
      Parameters:
        `d` - THe current value.

    - #### getCurrentValue

          public double getCurrentValue()

      Specified by:
        `getCurrentValue` in interface `InputField`
      Returns:
        The current value of the input field. This is only valid, while the normalization is being performed.

    - #### getMax

          public double getMax()

      Specified by:
        `getMax` in interface `InputField`
      Returns:
        The maximum value for all of the input data, this is calculated during the first pass of normalization.

    - #### getMin

          public double getMin()

      Specified by:
        `getMin` in interface `InputField`
      Returns:
        The minimum value for all of the input data, this is calculated during the first pass of normalization.

    - #### getUsedForNetworkInput

          public boolean getUsedForNetworkInput()

      Specified by:
        `getUsedForNetworkInput` in interface `InputField`
      Returns:
        True, if this field is used for network input. This is needed so that the buildForNetworkInput method of the normalization class knows how many input fields to expect. For instance, fields used only to segregate data are not used for the actual network input and may not be provided when the network is actually being queried.

    - #### getValue

          public double getValue(int i)

      Not supported for this sort of class, may be implemented in subclasses. Will throw an exception.
      Specified by:
        `getValue` in interface `InputField`
      Parameters:
        `i` - The index. Not used.
      Returns:
        The value at the specified index.

    - #### setCurrentValue

          public void setCurrentValue(double currentValue)

      Set the current value of this field. This value is only valid while the normalization is occurring.
      Specified by:
        `setCurrentValue` in interface `InputField`
      Parameters:
        `currentValue` - The current value of this field.

    - #### setMax

          public void setMax(double max)

      Set the current max value.
      Specified by:
        `setMax` in interface `InputField`
      Parameters:
        `max` - The maximum value encountered on this field so far.

    - #### setMin

          public void setMin(double min)

      Set the current min value.
      Specified by:
        `setMin` in interface `InputField`
      Parameters:
        `min` - The minimum value encountered on this field so far.

    - #### setUsedForNetworkInput

          public void setUsedForNetworkInput(boolean usedForNetworkInput)

      This is needed so that the buildForNetworkInput method of the normalization class knows how many input fields to expect. For instance, fields used only to segregate data are not used for the actual network input and may not be provided when the network is actually being queried.
      Parameters:
        `usedForNetworkInput` - True, if this field is used for network input.

Copyright © 2014. All Rights Reserved.